<?php

namespace App\Console;

use App\Console\Commands\CrontjobCommand;
use App\Console\Commands\Nct\NctCrawlerTrackCommand;
use App\Console\Commands\NhacVn\NhacVnCrawlerTrackCommand;
use App\Console\Commands\Zing\ZingCrawlerNewRealeaseCommand;
use App\Console\Commands\Zing\ZingCrawlerTrackCommand;
use App\Console\Commands\CrawlerTrackImageCommand;
use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        CrontjobCommand::class,
        ZingCrawlerTrackCommand::class,
        ZingCrawlerNewRealeaseCommand::class,
        CrawlerTrackImageCommand::class,
        NctCrawlerTrackCommand::class,
        NhacVnCrawlerTrackCommand::class,


    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        // $schedule->command('inspire')
        //          ->hourly();

        $schedule->command('crontjob:test')->hourly();

        $schedule->command('zing:get-track')->everyThirtyMinutes();
        $schedule->command('zing:get-new-release-track')->hourlyAt(10);

        $schedule->command('crawler:get-track-image')->hourlyAt(15);

        $schedule->command('nct:get-track')->hourlyAt(30);

        $schedule->command('queue:work --once --timeout=120')->everyMinute()->withoutOverlapping();
    }

    /**
     * Register the Closure based commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        require base_path('routes/console.php');
    }
}
